Skip to main content
GET
/
tools
List tools
curl --request GET \
  --url https://api.osint.ly/tools \
  --header 'Authorization: Bearer <token>'
{
  "aggregations": {
    "categories": {
      "Gaming": 1,
      "Accounts": 1,
      "Social": 1
    },
    "featuredCount": 0,
    "searchTypes": {
      "Gaming": 1
    },
    "totalCount": 1
  },
  "featuredTools": [],
  "items": [
    {
      "categories": [
        "Gaming",
        "Accounts",
        "Social"
      ],
      "countryCode": null,
      "description": "Validate Epic Games account search inputs, retrieve player autocomplete suggestions, and enrich Epic/Fortnite account intelligence.",
      "featured": false,
      "id": "00000000-0000-0000-0000-000000000000",
      "logo": "/tools/epic-games.png",
      "name": "Epic Games",
      "routePath": "/epic-games",
      "slug": "epic-games",
      "type": "Gaming",
      "uiKey": "epic-games",
      "updatedAt": "2026-06-28T12:00:00.000Z"
    }
  ],
  "pagination": {
    "hasNext": false,
    "hasPrevious": false,
    "limit": 250,
    "page": 1,
    "total": 1,
    "totalPages": 1
  },
  "tools": [
    {
      "categories": [
        "Gaming",
        "Accounts",
        "Social"
      ],
      "countryCode": null,
      "description": "Validate Epic Games account search inputs, retrieve player autocomplete suggestions, and enrich Epic/Fortnite account intelligence.",
      "featured": false,
      "id": "00000000-0000-0000-0000-000000000000",
      "logo": "/tools/epic-games.png",
      "name": "Epic Games",
      "routePath": "/epic-games",
      "slug": "epic-games",
      "type": "Gaming",
      "uiKey": "epic-games",
      "updatedAt": "2026-06-28T12:00:00.000Z"
    }
  ],
  "total": 1
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

category
string
default:All
Maximum string length: 80
featuredOnly
default:false
limit
integer
default:250
Required range: 1 <= x <= 250
page
integer
default:1
Required range: 1 <= x <= 10000
Maximum string length: 120
searchType
string
default:All
Maximum string length: 80
sortBy
enum<string>
default:popular
Available options:
popular,
usage-desc,
usage-asc,
recent,
name-asc,
name-desc,
rating
fields
enum<string>
default:full
Available options:
preview,
full

Response

Tools catalog response

aggregations
object
required
items
object[]
required
pagination
object
required
tools
object[]
required
total
integer
required